%
%	This script saves the model data in "AIRCmodel.mat". For more 
%    details see exAIRC.m.
%
clear all, format compact

%
%   Plant definition
%

A = [   0       0  1.1320       0  -1.000;
   		0  -.0538  -.1712       0   .0705;
        0       0       0  1.0000       0;
        0  .04850       0  -.8556  -1.013;
        0  -.2909       0  1.0532  -.6859];
      
B = [   0  -.1200       0  4.4190  1.5750;
        0  1.0000       0       0       0;
        0       0       0  -1.665  -.0732]';
C = [   1       0       0       0       0;
        0       1       0       0       0;
        0       0       1       0       0 ];
D = [   0       0       0;
        0       0       0;
        0       0       0];

%
%   Determine the system the system on standard form.
%

disp('Determines the system on standard form')

sys = ss(A,B,C,D);
P = ltisys(A,B,C,D);
Gsys = [eye(3) -sys; eye(3) -sys]; 
[a b c d] = ssdata(minreal(Gsys));
G = ltisys(a,b,c,d);

save AIRCmodel