%
%   This function extends a interpolation data set to become
%    self-conjugated.
%
function interdata = SelfConj(interdata)

z = interdata.z;
W = interdata.W;
speczeros = interdata.speczeros;

for k = 1:length(speczeros)
    if isempty(find(speczeros == conj(speczeros(k))))
        speczeros(end+1) = conj(speczeros(k));
    end
end

for k = 1:length(speczeros)
    if abs(speczeros(k)) > interdata.maxdistancesp
        speczeros(k) = interdata.maxdistancesp*speczeros(k) ...
            / abs(speczeros(k));
    end
end

for k = 1:interdata.ntilde
    if abs(imag(z(k))) > 10*eps
        z(end+1) = conj(z(k));
        for l = 1:length(W{k})
            Wconj{l} = conj(W{k}{l});
        end
        W{end+1} = Wconj;
    elseif norm(imag(interdata.Wvec{k})) > 1000*eps,
        disp('In SelfConj: real interpolation points should')
        disp('      correspond to real interpolation values')
        return
    else 
        z(k) = real(z(k)); 
        for l = 1:length(W{k})
            W{k}{l} = real(W{k}{l});
        end
    end
end

interdata = GetInterData(z,W,speczeros,interdata.maxdistancesp);