function K=invlevinson(a); 
%invlevinson   The inverse Levinson algorithm,  a -> gamma 
% 
%  function K=invlevinson(a) 
%  uses the inverse Levinson algorithm to 
%  compute the reflection coefficients from 
%  the a-coefficients. 
%  The a-coefficients are of a monic polynomial. 
% 
n=length(a)-1; 
alpha(n+1,:)=a; 

% for  k=0:n,  alpha_old(n+1,k+1)=a(k+1); end 

for l=n:-1:1 
  K(l)=-alpha(l+1,l+1); 
  alpha(l,2:l)=(alpha(l+1,2:l)+K(l)*fliplr(alpha(l+1,2:l)))/(1-K(l)^2); 
  
%  K_old(l)=-alpha_old(l+1,l+1); 
%    for k=1:l-1 
%      alpha_old(l,k+1)= ... 
%         (alpha_old(l+1,k+1)+K(l)*alpha_old(l+1,l-k+1))/(1-K(l)^2); 
%    end 
end 
