function c=invschur(K); 
%invschur  The inverse Schur algortihm,  gamma -> c0,...,cn 
% 
% function c=ref2c(K); 
% 
% Determines the covariance coefficients c0(=1),c1,...,cn 
% corresponding to the reflection coefficients 
% K(1), ... , K(n). 
% 
n=length(K); 

yu=zeros(n+1); yut=zeros(n+1); c=zeros(1,n+1); 

%%%%% ryozo add %%%%%
if max(abs(K))==1,
  K=K*(1-eps);
end
%%%%%%%%%%%%%%%%%%%%%

yu(1,1)  = prod( 1./(1-K.^2) );
yut(1,1) = yu(1,1); 
c(1)     = yu(1,1); 

for k=1:n 
  for l=k:-1:1 
    yu(k+1,l)= yu(k+1,l+1)+K(l)*yut(k-l+1,l); 
    yut(k-l+1,l+1)=-K(l)*yu(k+1,l+1)+(1-K(l)^2)*yut(k-l+1,l); 
  end 
  yut(k+1,1) = yu(k+1,1); 
  c(k+1)     = yu(k+1,1); 
end 
